
	COMMENT ON TYPE box2d IS 'postgis type: xmin, ymin, zmin, xmax, ymax, zmaxで作られるボックス。しばしばジオメトリやジオメトリのコレクションの3次元範囲を返すために使われます。';

	COMMENT ON TYPE box3d IS 'postgis type: xmin, ymin, zmin, xmax, ymax, zmaxで作られるボックス。しばしばジオメトリやジオメトリのコレクションの3次元範囲を返すために使われます。';

	COMMENT ON TYPE geometry IS 'postgis type: geographyは球面座標系での地物表現に使われる空間データ型です。';

	COMMENT ON TYPE geometry_dump IS 'postgis type: A composite type used to describe the parts of complex geometry.';

	COMMENT ON TYPE geography IS 'postgis type: The type representing spatial features with geodetic (ellipsoidal) coordinate systems.';

COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , integer , varchar , integer , boolean ) IS 'args: table_name, column_name, srid, type, dimension, use_typmod=true - ジオメトリカラムを空間テーブルから除去します。';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - ジオメトリカラムを空間テーブルから除去します。';
			
COMMENT ON FUNCTION AddGeometryColumn(varchar , varchar , varchar , varchar , integer , varchar , integer , boolean ) IS 'args: catalog_name, schema_name, table_name, column_name, srid, type, dimension, use_typmod=true - ジオメトリカラムを空間テーブルから除去します。';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar ) IS 'args: table_name, column_name - ジオメトリカラムを空間テーブルから除去します。';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar ) IS 'args: schema_name, table_name, column_name - ジオメトリカラムを空間テーブルから除去します。';
			
COMMENT ON FUNCTION DropGeometryColumn(varchar , varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name, column_name - ジオメトリカラムを空間テーブルから除去します。';
			
COMMENT ON FUNCTION DropGeometryTable(varchar ) IS 'args: table_name - テーブルとgeometry_columnsの当該テーブルへの参照の全てを削除します。';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar ) IS 'args: schema_name, table_name - テーブルとgeometry_columnsの当該テーブルへの参照の全てを削除します。';
			
COMMENT ON FUNCTION DropGeometryTable(varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name - テーブルとgeometry_columnsの当該テーブルへの参照の全てを削除します。';
			
COMMENT ON FUNCTION () IS 'Returns the SRID defined for a geometry column.';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(boolean ) IS 'args: use_typmod=true - Ensures geometry columns are defined with type modifiers or have appropriate spatial constraints.';
			
COMMENT ON FUNCTION Populate_Geometry_Columns(oid, boolean ) IS 'args: relation_oid, use_typmod=true - Ensures geometry columns are defined with type modifiers or have appropriate spatial constraints.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , integer ) IS 'args: table_name, column_name, srid - Updates the SRID of all features in a geometry column, and the table metadata.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , integer ) IS 'args: schema_name, table_name, column_name, srid - Updates the SRID of all features in a geometry column, and the table metadata.';
			
COMMENT ON FUNCTION UpdateGeometrySRID(varchar , varchar , varchar , varchar , integer ) IS 'args: catalog_name, schema_name, table_name, column_name, srid - Updates the SRID of all features in a geometry column, and the table metadata.';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(text ) IS 'args: geomjson - Creates a GeometryCollection or Multi* geometry from a set of geometries.';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(json ) IS 'args: geomjson - Creates a GeometryCollection or Multi* geometry from a set of geometries.';
			
COMMENT ON FUNCTION ST_GeomFromGeoJSON(jsonb ) IS 'args: geomjson - Creates a GeometryCollection or Multi* geometry from a set of geometries.';
			
COMMENT ON FUNCTION ST_LineFromMultiPoint(geometry ) IS 'args: aMultiPoint - マルチポイントジオメトリからラインストリングを生成します。';
			
COMMENT ON FUNCTION ST_MakeEnvelope(double precision, double precision, double precision, double precision, integer ) IS 'args: xmin, ymin, xmax, ymax, srid=unknown - 与えられた最小値と最大値から長方形ポリゴンを生成します。入力値はSRIDで指定された空間参照系でなければなりません。';
			
COMMENT ON AGGREGATE ST_MakeLine(geometry) IS 'args: geoms - ポイント、マルチポイント、ラインジオメトリからラインストリングを生成します。';
			
COMMENT ON FUNCTION ST_MakeLine(geometry, geometry) IS 'args: geom1, geom2 - ポイント、マルチポイント、ラインジオメトリからラインストリングを生成します。';
			
COMMENT ON FUNCTION ST_MakeLine(geometry[]) IS 'args: geoms_array - ポイント、マルチポイント、ラインジオメトリからラインストリングを生成します。';
			
COMMENT ON FUNCTION ST_Point(float , float ) IS 'args: x_lon, y_lat - 2次元、XYZの3次元または4次元のポイントジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_MakePointM(float, float, float) IS 'args: x, y, m - 2次元、XYZの3次元または4次元のポイントジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision, double precision) IS 'args: x, y, z, m - 2次元、XYZの3次元または4次元のポイントジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_MakePointM(float, float, float) IS 'args: x, y, m - X, Y, M座標を持つポイントジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry) IS 'args: linestring - Creates a Polygon from a shell and optional list of holes.';
			
COMMENT ON FUNCTION ST_MakePolygon(geometry, geometry[]) IS 'args: outerlinestring, interiorlinestrings - Creates a Polygon from a shell and optional list of holes.';
			
COMMENT ON FUNCTION ST_Point(float , float ) IS 'args: x_lon, y_lat - 与えられた座標値のST_Pointを返します。ST_MakePointのOGC別名です。';
			
COMMENT ON FUNCTION ST_Polygon(geometry , integer ) IS 'args: aLineString, srid - Creates a Polygon from a LineString with a specified SRID.';
			
COMMENT ON FUNCTION ST_MakePoint(double precision, double precision, double precision, double precision) IS 'args: x, y, z, m - Creates a rectangular Polygon in Web Mercator (SRID:3857) using the XYZ tile system.';
			
COMMENT ON FUNCTION GeometryType(geometry ) IS 'args: geomA - ST_Geometry値のジオメトリ型を返します。';
			
COMMENT ON FUNCTION ST_Boundary(geometry ) IS 'args: geomA - ジオメトリの組み合わせ境界の閉包を返します。';
			
COMMENT ON FUNCTION ST_CoordDim(geometry ) IS 'args: geomA - ST_Geometry値の座標次元を返します。';
			
COMMENT ON FUNCTION ST_Dimension(geometry ) IS 'args: g - ST_Geometry値の座標次元を返します。';
			
COMMENT ON FUNCTION ST_Envelope(geometry ) IS 'args: g1 - Returns a set of geometry_dump rows for the components of a geometry.';
			
COMMENT ON FUNCTION ST_Points(geometry) IS 'args: geom - Returns a set of geometry_dump rows for the points in a geometry.';
			
COMMENT ON FUNCTION ST_ExteriorRing(geometry ) IS 'args: a_polygon - Returns a set of geometry_dump rows for the exterior and interior rings of a Polygon.';
			
COMMENT ON FUNCTION ST_Points(geometry) IS 'args: geom - ST_LineStringまたはST_CircularStringのポイント数を返します。';
			
COMMENT ON FUNCTION ST_Envelope(geometry ) IS 'args: g1 - ジオメトリの浮動小数点数 (float8)バウンディングボックスを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_BoundingDiagonal(geometry , boolean ) IS 'args: geom, fits=false - 与えられたジオメトリのバウンディングボックスの対角線を返します。';
			
COMMENT ON FUNCTION ST_ExteriorRing(geometry ) IS 'args: a_polygon - ポリゴンジオメトリの内環の数を返します。';
			
COMMENT ON FUNCTION ST_GeometryN(geometry , integer ) IS 'args: geomA, n - ST_Geometry値のジオメトリ型を返します。';
			
COMMENT ON FUNCTION ST_GeometryType(geometry ) IS 'args: g1 - ST_Geometry値のジオメトリ型を返します。';
			
COMMENT ON FUNCTION ST_IsEmpty(geometry ) IS 'args: geomA - Tests if a geometry contains a circular arc';
			
COMMENT ON FUNCTION ST_InteriorRingN(geometry , integer ) IS 'args: a_polygon, n - ポリゴンジオメトリの内環の数を返します。';
			
COMMENT ON FUNCTION ST_IsPolygonCCW(geometry) IS 'args: geom - 全ての外環が反時計回りで、全ての内環が時計回りならTRUEを返します。';
			
COMMENT ON FUNCTION ST_IsPolygonCW(geometry) IS 'args: geom - 入力ジオメトリの全てのポリゴン要素の外環については時計回りで、全ての内環については反時計回りである場合には、TRUEを返します。';
			
COMMENT ON FUNCTION ST_IsClosed(geometry ) IS 'args: g - LINESTRINGの始点と終点が一致する場合にTRUEを返します。多面体サーフェスの場合は閉じているかどうか (ボリュームであるかどうか)を返します。';
			
COMMENT ON FUNCTION ST_IsCollection(geometry ) IS 'args: g - ジオメトリが、空のジオメトリコレクション、ポリゴン、ポイント等の場合に、trueを返します。';
			
COMMENT ON FUNCTION ST_IsEmpty(geometry ) IS 'args: geomA - Tests if a geometry is empty.';
			
COMMENT ON FUNCTION ST_IsRing(geometry ) IS 'args: g - Tests if a LineString is closed and simple.';
			
COMMENT ON FUNCTION ST_IsSimple(geometry ) IS 'args: geomA - ジオメトリが自己インタセクションや自己接触のような異常な幾何学ポイントを持っていない場合にTRUEを返します。';
			
COMMENT ON FUNCTION ST_M(geometry ) IS 'args: a_point - Returns the M coordinate of a Point.';
			
COMMENT ON FUNCTION ST_NRings(geometry ) IS 'args: geomA - ST_Geometry値のジオメトリ型を返します。';
			
COMMENT ON FUNCTION ST_NDims(geometry ) IS 'args: g1 - ST_Geometry値の座標次元を返します。';
			
COMMENT ON FUNCTION ST_NPoints(geometry ) IS 'args: g1 - ジオメトリのポイント (頂点)数を返します。';
			
COMMENT ON FUNCTION ST_NRings(geometry ) IS 'args: geomA - ポリゴンジオメトリの内環の数を返します。';
			
COMMENT ON FUNCTION ST_NumGeometries(geometry ) IS 'args: geom - ジオメトリのポイントの数を返します。全てのジオメトリに対して動作します。';
			
COMMENT ON FUNCTION ST_NumInteriorRings(geometry ) IS 'args: a_polygon - ポリゴンジオメトリの内環の数を返します。';
			
COMMENT ON FUNCTION ST_NumInteriorRing(geometry ) IS 'args: a_polygon - ジオメトリ内のポリゴンの内環の数を返します。ST_NumInteriorRingsと同義です。';
			
COMMENT ON FUNCTION ST_NumPatches(geometry ) IS 'args: g1 - 多面体サーフェスのフェイス数を返します。多面体でないジオメトリの場合にはNULLを返します。';
			
COMMENT ON FUNCTION ST_NumPoints(geometry ) IS 'args: g1 - ST_LineStringまたはST_CircularStringのポイント数を返します。';
			
COMMENT ON FUNCTION ST_PatchN(geometry , integer ) IS 'args: geomA, n - ST_Geometry値のジオメトリ型を返します。';
			
COMMENT ON FUNCTION ST_PointN(geometry , integer ) IS 'args: a_linestring, n - ST_LineStringまたはST_CircularStringのポイント数を返します。';
			
COMMENT ON FUNCTION ST_Points(geometry) IS 'args: geom - ジオメトリの全ての座標値からなるマルチポイントを返します。';
			
COMMENT ON FUNCTION ST_StartPoint(geometry ) IS 'args: geomA - Returns the first point of a LineString.';
			
COMMENT ON FUNCTION ST_Summary(geometry ) IS 'args: g - ジオメトリについての要約文を返します。';
			
COMMENT ON FUNCTION ST_Summary(geography ) IS 'args: g - ジオメトリについての要約文を返します。';
			
COMMENT ON FUNCTION ST_X(geometry ) IS 'args: a_point - Returns the X coordinate of a Point.';
			
COMMENT ON FUNCTION ST_Y(geometry ) IS 'args: a_point - Returns the Y coordinate of a Point.';
			
COMMENT ON FUNCTION ST_Z(geometry ) IS 'args: a_point - Returns the Z coordinate of a Point.';
			
COMMENT ON FUNCTION ST_Zmflag(geometry ) IS 'args: geomA - ST_Geometry値の座標次元を返します。';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry) IS 'args: linestring, point - ラインストリングにポイントを追加します。';
			
COMMENT ON FUNCTION ST_AddPoint(geometry, geometry, integer) IS 'args: linestring, point, position - ラインストリングにポイントを追加します。';
			
COMMENT ON FUNCTION ST_CollectionExtract(geometry , integer ) IS 'args: collection, type - (マルチ)ジオメトリを与えると、指定したタイプの要素でのみ構成される (マルチ)ジオメトリを返します。';
			
COMMENT ON FUNCTION ST_CollectionHomogenize(geometry ) IS 'args: collection - ジオメトリコレクションを与えると、「最も単純な」表現を返します。';
			
COMMENT ON FUNCTION ST_Force2D(geometry ) IS 'args: geomA - ジオメトリを2次元モードに強制します。';
			
COMMENT ON FUNCTION ST_Force3D(geometry ) IS 'args: geomA - ジオメトリをXYZモードに強制します。これはST_Force3DZの別名です。';
			
COMMENT ON FUNCTION ST_Force3DZ(geometry ) IS 'args: geomA - ジオメトリをXYZモードに強制します。';
			
COMMENT ON FUNCTION ST_Force3DM(geometry ) IS 'args: geomA - ジオメトリをXYMモードに強制します。';
			
COMMENT ON FUNCTION ST_Force4D(geometry ) IS 'args: geomA - ジオメトリをXYZMモードに強制します。';
			
COMMENT ON FUNCTION ST_ForcePolygonCCW(geometry) IS 'args: geom - 全ての外環を反時計回りに、全ての内環を時計回りに、それぞれ強制します。';
			
COMMENT ON FUNCTION ST_ForceCollection(geometry ) IS 'args: geomA - ジオメトリをジオメトリコレクションに変換します。';
			
COMMENT ON FUNCTION ST_ForcePolygonCW(geometry) IS 'args: geom - 全ての外環を時計回りに、全ての内環を反時計回りに、それぞれ強制します。';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry ) IS 'args: geomA - SFS 1.1ジオメトリタイプのみ使うようジオメトリに強制します。';
			
COMMENT ON FUNCTION ST_ForceSFS(geometry , text ) IS 'args: geomA, version - SFS 1.1ジオメトリタイプのみ使うようジオメトリに強制します。';
			
COMMENT ON FUNCTION ST_ForceRHR(geometry) IS 'args: g - ポリゴンの頂点の方向を右回りに強制します。';
			
COMMENT ON FUNCTION ST_ForceCurve(geometry) IS 'args: g - 該当する場合は、ジオメトリを曲線タイプに変換します。';
			
COMMENT ON FUNCTION ST_LineMerge(geometry ) IS 'args: amultilinestring - MULTILINESTRINGをまとめ合わせて形成されるラインストリング (またはその集合)を返します。';
			
COMMENT ON FUNCTION ST_Multi(geometry ) IS 'args: g1 - マルチ系ジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Normalize(geometry ) IS 'args: geom - 標準的な形式に変えたジオメトリを返します。';
			
COMMENT ON FUNCTION ST_TransScale(geometry , float, float, float, float) IS 'args: geomA, deltaX, deltaY, XFactor, YFactor - Sets least significant bits of coordinates to zero';
			
COMMENT ON FUNCTION ST_RemovePoint(geometry, integer) IS 'args: linestring, offset - ラインストリングからポイントを削除します。';
			
COMMENT ON FUNCTION ST_Reverse(geometry ) IS 'args: g1 - 頂点の順序を逆にしたジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Segmentize(geometry , float ) IS 'args: geom, max_segment_length - 与えた距離を超える線分を持たないよう変更したジオメトリ/ジオグラフィを返します。';
			
COMMENT ON FUNCTION ST_Segmentize(geography , float ) IS 'args: geog, max_segment_length - 与えた距離を超える線分を持たないよう変更したジオメトリ/ジオグラフィを返します。';
			
COMMENT ON FUNCTION ST_SetPoint(geometry, integer, geometry) IS 'args: linestring, zerobasedposition, point - ラインストリングのポイントを与えられたポイントに置き換えます。';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float , float , float ) IS 'args: geomA, originX, originY, sizeX, sizeY - 入力ジオメトリの全ての点を規則的なグリッドにスナップします。';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float , float ) IS 'args: geomA, sizeX, sizeY - 入力ジオメトリの全ての点を規則的なグリッドにスナップします。';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , float ) IS 'args: geomA, size - 入力ジオメトリの全ての点を規則的なグリッドにスナップします。';
			
COMMENT ON FUNCTION ST_SnapToGrid(geometry , geometry , float , float , float , float ) IS 'args: geomA, pointOrigin, sizeX, sizeY, sizeZ, sizeM - 入力ジオメトリの全ての点を規則的なグリッドにスナップします。';
			
COMMENT ON FUNCTION ST_Snap(geometry , geometry , float ) IS 'args: input, reference, tolerance - 入力ジオメトリの辺と頂点を参照ジオメトリの頂点にスナップします。';
			
COMMENT ON FUNCTION ST_SetSRID(geometry , integer ) IS 'args: geom, srid - 頂点の順序を逆にしたジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Area(geometry ) IS 'args: g1 - ジオメトリの幾何学的重心を返します。';
			
COMMENT ON FUNCTION ST_Area(geography , boolean ) IS 'args: geog, use_spheroid=true - ジオメトリの幾何学的重心を返します。';
			
COMMENT ON FUNCTION ST_Azimuth(geometry , geometry ) IS 'args: pointA, pointB - pointAの鉛直線からPointBへの右回りの方位を北を基準にしたラジアン単位で返します。';
			
COMMENT ON FUNCTION ST_Azimuth(geography , geography ) IS 'args: pointA, pointB - pointAの鉛直線からPointBへの右回りの方位を北を基準にしたラジアン単位で返します。';
			
COMMENT ON FUNCTION ST_Angle(geometry , geometry , geometry , geometry ) IS 'args: point1, point2, point3, point4 - 三つのポイントまたは二つのベクタ (4ポイントまたは2ライン)の間の角度を返します。';
			
COMMENT ON FUNCTION ST_Angle(geometry , geometry ) IS 'args: line1, line2 - 三つのポイントまたは二つのベクタ (4ポイントまたは2ライン)の間の角度を返します。';
			
COMMENT ON FUNCTION ST_ClosestPoint(geometry , geometry ) IS 'args: g1, g2 - g1上の、g2に最も近い3次元ポイントを返します。3次元最短線の一つ目のポイントです。';
			
COMMENT ON FUNCTION ST_3DClosestPoint(geometry , geometry ) IS 'args: g1, g2 - g1上の、g2に最も近い3次元ポイントを返します。3次元最短線の一つ目のポイントです。';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry ) IS 'args: g1, g2 - 二つのジオメトリの3次元長が最長となるラインを返します。';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac - 二つのジオメトリの3次元長が最長となるラインを返します。';
			
COMMENT ON FUNCTION ST_3DDistance(geometry , geometry ) IS 'args: g1, g2 - ジオメトリ型について、二つのジオメトリの、3次元の最小デカルト距離 (空間参照系に基づきます)を、投影法の単位で返します。';
			
COMMENT ON FUNCTION ST_DistanceSphere(geometry , geometry ) IS 'args: geomlonlatA, geomlonlatB - 指定した回転楕円体による、二つの経度緯度ジオメトリ間の最小距離を返します。PostGIS 1.5より前ではポイント間の計測のみ対応していました。';
			
COMMENT ON FUNCTION ST_DistanceSpheroid(geometry , geometry , spheroid ) IS 'args: geomlonlatA, geomlonlatB, measurement_spheroid - 指定した回転楕円体による、二つの経度緯度ジオメトリ間の最小距離を返します。PostGIS 1.5より前ではポイント間の計測のみ対応していました。';
			
COMMENT ON FUNCTION ST_FrechetDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac = -1 - 二つのジオメトリの3次元長が最短となるラインを返します。';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry ) IS 'args: g1, g2 - 二つのジオメトリの3次元長が最短となるラインを返します。';
			
COMMENT ON FUNCTION ST_HausdorffDistance(geometry , geometry , float) IS 'args: g1, g2, densifyFrac - 二つのジオメトリの3次元長が最短となるラインを返します。';
			
COMMENT ON FUNCTION ST_Length(geometry ) IS 'args: a_2dlinestring - ジオメトリの幾何学的重心を返します。';
			
COMMENT ON FUNCTION ST_Length(geography , boolean ) IS 'args: geog, use_spheroid=true - ジオメトリの幾何学的重心を返します。';
			
COMMENT ON FUNCTION ST_Length2D(geometry ) IS 'args: a_2dlinestring - LINESTRINGまたはMULTILINESTRINGに対して、ジオメトリの2次元長を返します。これはST_Lengthの別名です。';
			
COMMENT ON FUNCTION ST_3DLength(geometry ) IS 'args: a_3dlinestring - ジオメトリの幾何学的重心を返します。';
			
COMMENT ON FUNCTION ST_LengthSpheroid(geometry , spheroid ) IS 'args: a_geometry, a_spheroid - ジオメトリの幾何学的重心を返します。';
			
COMMENT ON FUNCTION ST_LongestLine(geometry , geometry ) IS 'args: g1, g2 - 二つのジオメトリの3次元長が最長となるラインを返します。';
			
COMMENT ON FUNCTION ST_3DLongestLine(geometry , geometry ) IS 'args: g1, g2 - 二つのジオメトリの3次元長が最長となるラインを返します。';
			
COMMENT ON FUNCTION ST_MaxDistance(geometry , geometry ) IS 'args: g1, g2 - 二つのジオメトリ間の2次元距離の最大値を、投影法の単位で返します。';
			
COMMENT ON FUNCTION ST_3DMaxDistance(geometry , geometry ) IS 'args: g1, g2 - ジオメトリ型について、二つのジオメトリの、3次元の最大デカルト距離 (空間参照系に基づきます)を、投影法の単位で返します。';
			
COMMENT ON FUNCTION ST_MinimumClearance(geometry ) IS 'args: g - ジオメトリのクリアランスの最小値を返します。この値はジオメトリのロバスト性を示すものです。';
			
COMMENT ON FUNCTION ST_MinimumClearanceLine(geometry ) IS 'args: g - ジオメトリの最小クリアランスを示す、2点のラインストリングを返します。';
			
COMMENT ON FUNCTION ST_Perimeter(geometry ) IS 'args: g1 - Returns the length of the boundary of a polygonal geometry or geography.';
			
COMMENT ON FUNCTION ST_Perimeter(geography , boolean ) IS 'args: geog, use_spheroid=true - Returns the length of the boundary of a polygonal geometry or geography.';
			
COMMENT ON FUNCTION ST_Perimeter2D(geometry ) IS 'args: geomA - Returns the 2D perimeter of a polygonal geometry. Alias for ST_Perimeter.';
			
COMMENT ON FUNCTION ST_3DPerimeter(geometry ) IS 'args: geomA - ジオメトリの幾何学的重心を返します。';
			
COMMENT ON FUNCTION ST_Project(geography , float , float ) IS 'args: g1, distance, azimuth - メートル単位の距離とラジアン単位の方位とを使って始点から算出されたPOINTを返します。';
			
COMMENT ON FUNCTION ST_ShortestLine(geometry , geometry ) IS 'args: g1, g2 - 二つのジオメトリの2次元長が最短となるラインを返します。';
			
COMMENT ON FUNCTION ST_3DShortestLine(geometry , geometry ) IS 'args: g1, g2 - 二つのジオメトリの3次元長が最短となるラインを返します。';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float ) IS 'args: g1, radius_of_buffer - (T) このジオメトリからの距離が指定された距離以下となる点全てを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float , integer ) IS 'args: g1, radius_of_buffer, num_seg_quarter_circle - (T) このジオメトリからの距離が指定された距離以下となる点全てを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Buffer(geometry , float , text ) IS 'args: g1, radius_of_buffer, buffer_style_parameters - (T) このジオメトリからの距離が指定された距離以下となる点全てを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Buffer(geography , float ) IS 'args: g1, radius_of_buffer_in_meters - (T) このジオメトリからの距離が指定された距離以下となる点全てを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Buffer(geography , float , integer ) IS 'args: g1, radius_of_buffer, num_seg_quarter_circle - (T) このジオメトリからの距離が指定された距離以下となる点全てを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Buffer(geography , float , text ) IS 'args: g1, radius_of_buffer, buffer_style_parameters - (T) このジオメトリからの距離が指定された距離以下となる点全てを表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_BuildArea(geometry ) IS 'args: A - 与えられたジオメトリの構成ラインから面ジオメトリを生成します。';
			
COMMENT ON FUNCTION ST_Intersection(geometry, geometry) IS 'args: geomA, geomB - ジオメトリを分割したジオメトリのコレクションを返します。';
			
COMMENT ON FUNCTION ST_Intersection(geography, geography) IS 'args: geogA, geogB - ジオメトリを分割したジオメトリのコレクションを返します。';
			
COMMENT ON FUNCTION ST_ClipByBox2D(geometry, box2d) IS 'args: geom, box - 長方形内に落ちるジオメトリの一部を返します。';
			
COMMENT ON FUNCTION ST_ConcaveHull(geometry , float , boolean ) IS 'args: geomA, target_percent, allow_holes=false - 凹包は、集合の範囲内におけるすべてのジオメトリーを囲む、できる限り凹となるジオメトリを表現するものです。収縮包装とみることができます。';
			
COMMENT ON FUNCTION ST_ConvexHull(geometry ) IS 'args: geomA - Computes the convex hull of a geometry.';
			
COMMENT ON FUNCTION ST_OffsetCurve(geometry , float , text ) IS 'args: line, signed_distance, style_parameters='' - CIRCULARSTRING/CURVEPOLYGONをLINESTRING/POLYGONに変換します。';
			
COMMENT ON FUNCTION ST_DelaunayTriangles(geometry , float , int4 ) IS 'args: g1, tolerance, flags - 与えられたポイントの周りのドロネー三角形を返します。';
			
COMMENT ON FUNCTION ST_Difference(geometry , geometry ) IS 'args: geomA, geomB - ジオメトリBにインタセクトしないジオメトリAの部分を表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_FlipCoordinates(geometry) IS 'args: geom - 与えられたジオメトリのX軸とY軸とを入れ替えたものを返します。緯度/経度のフィーチャーを構築して、これを訂正したい場合に使えます。';
			
COMMENT ON FUNCTION ST_Intersection(geometry, geometry) IS 'args: geomA, geomB - ポリゴンまたはマルチポリゴンから、元の領域の内部の、乱数で決められた位置に置かれた点からなるマルチポイントに変換します。';
			
COMMENT ON FUNCTION ST_Intersection(geography, geography) IS 'args: geogA, geogB - ポリゴンまたはマルチポリゴンから、元の領域の内部の、乱数で決められた位置に置かれた点からなるマルチポイントに変換します。';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - Returns the geometric median of a MultiPoint.';
			
COMMENT ON FUNCTION ST_Intersection(geometry, geometry) IS 'args: geomA, geomB - (T) geomAとgeomBの共有する部分を表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Intersection(geography, geography) IS 'args: geogA, geogB - (T) geomAとgeomBの共有する部分を表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_LineToCurve(geometry ) IS 'args: geomANoncircular - LINESTRING/POLYGONをCIRCULARSTRINGかCURVEPOLYGONに変換します。';
			
COMMENT ON FUNCTION ST_MakeValid(geometry) IS 'args: input - 頂点を失うことなしに不正なジオメトリを妥当なジオメトリにしようと試みます。';
			
COMMENT ON AGGREGATE ST_MemUnion(geometry) IS 'args: geomfield - ST_Unionと同じですが、メモリフレンドリ (少ないメモリ使用、多いCPU時間)です。';
			
COMMENT ON FUNCTION ST_MinimumBoundingCircle(geometry , integer ) IS 'args: geomA, num_segs_per_qt_circ=48 - ジオメトリを完全に含む最小の円ポリゴンを返します。デフォルトでは、4分の1円に対して48区分を使用します。';
			
COMMENT ON FUNCTION ST_MinimumBoundingRadius(geometry) IS 'args: geom - ジオメトリを完全に包含する最小円の中心ポイントと半径を返します。';
			
COMMENT ON FUNCTION ST_Node(geometry ) IS 'args: geom - ジオメトリを分割したジオメトリのコレクションを返します。';
			
COMMENT ON AGGREGATE ST_Polygonize(geometry) IS 'args: geomfield - 集約関数。ジオメトリの集合のラインから形成されうるポリゴンを含むジオメトリコレクションを生成します。';
			
COMMENT ON FUNCTION ST_Polygonize(geometry[]) IS 'args: geom_array - 集約関数。ジオメトリの集合のラインから形成されうるポリゴンを含むジオメトリコレクションを生成します。';
			
COMMENT ON FUNCTION ST_Node(geometry ) IS 'args: geom - ラインストリングの集合にノードを作成します。';
			
COMMENT ON FUNCTION ST_OffsetCurve(geometry , float , text ) IS 'args: line, signed_distance, style_parameters='' - 与えられた距離と方面に入力ラインをずらしたラインを返します。中心線と平行する線を引く際に使えます。';
			
COMMENT ON FUNCTION ST_Node(geometry ) IS 'args: geom - Returns a POINT guaranteed to lie on the surface.';
			
COMMENT ON FUNCTION ST_RemoveRepeatedPoints(geometry, float8) IS 'args: geom, tolerance - 入力ジオメトリから重複ポイントを除いたものを返します。';
			
COMMENT ON FUNCTION ST_SharedPaths(geometry, geometry) IS 'args: lineal1, lineal2 - 二つのLINESTRING/MULTILINESTRINGの入力が共有するパスのコレクションを返します。';
			
COMMENT ON FUNCTION ST_ShiftLongitude(geometry ) IS 'args: geomA - ジオメトリの座標値を-180度から180度の範囲と0度から360度の範囲に揃えます。';
			
COMMENT ON FUNCTION ST_WrapX(geometry , float8 , float8 ) IS 'args: geom, wrap, move - ジオメトリをX値で回り込ませます。';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - 与えられたジオメトリを「簡略化」したものを返します。Douglas-Peukerアルゴリズムを使用します。';
			
COMMENT ON FUNCTION ST_SimplifyPreserveTopology(geometry, float) IS 'args: geomA, tolerance - 与えられたジオメトリを「簡略化」したものを返します。Douglas-Peukerアルゴリズムを使用します。不正な派生ジオメトリ (特にポリゴン)の生成を回避します。';
			
COMMENT ON FUNCTION ST_SimplifyVW(geometry, float) IS 'args: geomA, tolerance - Visvalingam-Whyattアルゴリズムを用いて、入力ジオメトリを「簡略化」したジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - Visvalingam-Whyattアルゴリズムを用いて、入力ジオメトリを「簡略化」したジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Simplify(geometry, float, boolean) IS 'args: geomA, tolerance, preserveCollapsed - Filters vertex points based on their m-value';
			
COMMENT ON FUNCTION ST_SetEffectiveArea(geometry, float, integer) IS 'args: geomA, threshold = 0, set_area = 1 - 個々の頂点について有効範囲を設定し、M値として保存します。M値でフィルタリングすると、単純化したジオメトリを生成できます。';
			
COMMENT ON FUNCTION ST_Split(geometry, geometry) IS 'args: input, blade - ジオメトリを分割したジオメトリのコレクションを返します。';
			
COMMENT ON FUNCTION ST_SymDifference(geometry , geometry ) IS 'args: geomA, geomB - AとBの、インタセクトしていない部分を表現するジオメトリを返します。対称と呼ばれるのは、ST_SymDifference(A,B) = ST_SymDifference(B,A) となるからです。';
			
COMMENT ON FUNCTION ST_Subdivide(geometry, integer) IS 'args: geom, max_vertices=256 - 指定した数より多い頂点を持たないジオメトリの集合を返します。';
			
COMMENT ON AGGREGATE ST_Union(geometry) IS 'args: g1field - ジオメトリの結合の点集合を表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Union(geometry, geometry) IS 'args: g1, g2 - ジオメトリの結合の点集合を表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_Union(geometry[]) IS 'args: g1_array - ジオメトリの結合の点集合を表現するジオメトリを返します。';
			
COMMENT ON FUNCTION ST_UnaryUnion(geometry ) IS 'args: geom - ST_Unionに似ていますが、ジオメトリ要素レベルで動作します。';
			
COMMENT ON FUNCTION ST_VoronoiLines(geometry, float8, geometry) IS 'args: g1, tolerance, extend_to - ジオメトリの頂点からボロノイ図のセル間の境界を返します。';
			
COMMENT ON FUNCTION ST_VoronoiPolygons(geometry, float8, geometry) IS 'args: g1, tolerance, extend_to - ジオメトリの頂点からボロノイ図のセルを返します。';
			
COMMENT ON FUNCTION ST_LineInterpolatePoint(geometry , float8 ) IS 'args: a_linestring, a_fraction - 線に沿った内挿点を返します。第2引数はfloat8で0から1の区間で、そのポイントが位置するラインストリングの総延長についての割合です。';
			
COMMENT ON FUNCTION ST_LineInterpolatePoint(geometry , float8 ) IS 'args: a_linestring, a_fraction - 線に沿った内挿点を返します。第2引数はfloat8で0から1の区間で、そのポイントが位置するラインストリングの総延長についての割合です。';
			
COMMENT ON FUNCTION ST_LineInterpolatePoints(geometry , float8 , boolean ) IS 'args: a_linestring, a_fraction, repeat - 線に沿った内挿点を一つ以上返します。';
			
COMMENT ON FUNCTION ST_LineLocatePoint(geometry , geometry ) IS 'args: a_linestring, a_point - ラインストリング上の、与えたポイントへの最短点を、2次元長に対する割合として0から1の区間で返します。';
			
COMMENT ON FUNCTION ST_LineSubstring(geometry , float8 , float8 ) IS 'args: a_linestring, startfraction, endfraction - 次元長に対する割合で示された開始位置と終了位置で切り取られた部分ラインストリングを返します。第2引数と第3引数は、float8で0から1の区間です。';
			
COMMENT ON FUNCTION ST_LocateAlong(geometry , float8 , float8 ) IS 'args: ageom_with_measure, a_measure, offset - 指定したM値に一致する要素からなる、派生ジオメトリコレクション値を返します。ポリゴン要素には対応していません。';
			
COMMENT ON FUNCTION ST_LocateBetween(geometry , float8 , float8 , float8 ) IS 'args: geomA, measure_start, measure_end, offset - 指定したM値の範囲内にある要素からなる、派生ジオメトリコレクション値を返します。ポリゴン要素には対応していません。';
			
COMMENT ON FUNCTION ST_LocateBetweenElevations(geometry , float8 , float8 ) IS 'args: geom_mline, elevation_start, elevation_end - 指定したM値に一致する要素からなる、派生ジオメトリコレクション値を返します。ポリゴン要素には対応していません。';
			
COMMENT ON FUNCTION ST_InterpolatePoint(geometry , geometry ) IS 'args: line, point - ジオメトリの、指定したポイントに近いポイントにおけるM値を返します。';
			
COMMENT ON FUNCTION ST_AddMeasure(geometry , float8 , float8 ) IS 'args: geom_mline, measure_start, measure_end - 始点と終点の間を線型補完した、M値を持つ派生ジオメトリを返します。';
			
COMMENT ON FUNCTION AddAuth(text ) IS 'args: auth_token - 現在のトランザクションで使われる認証トークンを追加します。';
			
COMMENT ON FUNCTION CheckAuth(text , text , text ) IS 'args: a_schema_name, a_table_name, a_key_column_name - 認証トークンに基づいて行の更新と削除を拒否/許可するテーブルのトリガを生成します。';
			
COMMENT ON FUNCTION CheckAuth(text , text ) IS 'args: a_table_name, a_key_column_name - 認証トークンに基づいて行の更新と削除を拒否/許可するテーブルのトリガを生成します。';
			
COMMENT ON FUNCTION DisableLongTransactions() IS 'DisableLongTransactions';
			
COMMENT ON FUNCTION EnableLongTransactions() IS 'EnableLongTransactions';
			
COMMENT ON FUNCTION LockRow(text , text , text , text, timestamp) IS 'args: a_schema_name, a_table_name, a_row_key, an_auth_token, expire_dt - テーブルの指定した行についてロック/認証を設定します。';
			
COMMENT ON FUNCTION LockRow(text , text , text, timestamp) IS 'args: a_table_name, a_row_key, an_auth_token, expire_dt - テーブルの指定した行についてロック/認証を設定します。';
			
COMMENT ON FUNCTION LockRow(text , text , text) IS 'args: a_table_name, a_row_key, an_auth_token - テーブルの指定した行についてロック/認証を設定します。';
			
COMMENT ON FUNCTION UnlockRows(text ) IS 'args: auth_token - Removes all locks held by an authorization token.';
			